MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001200Xdebug(No Category)public2015-11-09 13:322015-11-19 23:13
Reportertrashy 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSFedora LinuxOS Version22
Product Version2.4.0beta1 
Target VersionFixed in Version2.4.0rc1 
Summary0001200: Differences in code coverage with php 7
DescriptionI'm using atoum for our application testing, it relies on xdebug to produce its code coverage.
I've noticed than covarage is a bit lower using PHP 7 than PHP 5.6 (both with xdebug 2.4.0beta1 - all PHP packages from Remi's repository on my Fedora box).

Sounds like difference is on some syntax like:

$builder->add(
    'build_age',
    'choice',
    array([...])
);

On PHP 5.6, all code is considered as covered, on PHP 7, the build_age and choice lines are considered as not covered.

So all tests are running fine, but our global coverage amount is just lower, it's a bit disconcerting.

Details about PHP and XDebug versions:
$ php -v
PHP 5.6.15 (cli) (built: Oct 29 2015 14:56:28)
Copyright (c) 1997-2015 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2015 Zend Technologies
    with Xdebug v2.4.0beta1, Copyright (c) 2002-2015, by Derick Rethans
$ php70 -v
PHP 7.0.0RC6 (cli) (built: Oct 28 2015 09:27:16) ( NTS )
Copyright (c) 1997-2015 The PHP Group
Zend Engine v3.0.0-dev, Copyright (c) 1998-2015 Zend Technologies
    with Xdebug v2.4.0beta1, Copyright (c) 2002-2015, by Derick Rethans
TagsNo tags attached.
Operating System
PHP Version7.0-dev
Attached Files

- Relationships

-  Notes
(0003236)
derick (administrator)
2015-11-19 23:13

Fixed this - thanks for the report! Please do test code coverage more, as it is possible I have missed a few other things (for which I don't have a test)!

- Issue History
Date Modified Username Field Change
2015-11-09 13:32 trashy New Issue
2015-11-19 23:13 derick Note Added: 0003236
2015-11-19 23:13 derick Status new => closed
2015-11-19 23:13 derick Assigned To => derick
2015-11-19 23:13 derick Resolution open => fixed
2015-11-19 23:13 derick Fixed in Version => 2.4.0rc1
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker